type TaskInput = any;
type Artifact = any;
type StepInput = any;
type StepOutput = any;
interface Step {
    output?: StepOutput;
    artifacts?: Artifact[];
    is_last?: boolean;
    input?: StepInput;
    task_id: string;
    step_id: string;
}
interface StepRequestBody {
    input?: StepInput;
}
interface StepResult {
    output?: StepOutput;
    artifacts?: Artifact[];
    is_last?: boolean;
}
interface Task {
    input?: TaskInput;
    task_id: string;
    artifacts?: Artifact[];
}
interface TaskRequestBody {
    input?: TaskInput;
}

type StepHandler = (input: StepInput | null) => Promise<StepResult>;
type TaskHandler = (input: TaskInput | null) => Promise<StepHandler>;
declare class StepResultWithDefaults implements StepResult {
    output?: StepOutput;
    artifacts?: Artifact[];
    is_last?: boolean;
}
declare const createAgentTask: (body: TaskRequestBody | null) => Promise<Task>;
declare const listAgentTaskIDs: () => Promise<string[]>;
declare const getAgentTask: (taskId: string) => Promise<Task>;
declare const listAgentTaskSteps: (taskId: string) => Promise<string[]>;
declare const executeAgentTaskStep: (taskId: string, body: StepRequestBody | null) => Promise<Step>;
declare const getAgentTaskStep: (taskId: string, stepId: string) => Promise<Step>;
declare class Agent {
    static handleTask(handler: TaskHandler): typeof Agent;
    static start(port?: number): void;
}

export { Artifact, Step, StepHandler, StepInput, StepOutput, StepRequestBody, StepResultWithDefaults as StepResult, Task, TaskHandler, TaskInput, TaskRequestBody, createAgentTask, Agent as default, executeAgentTaskStep, getAgentTask, getAgentTaskStep, listAgentTaskIDs, listAgentTaskSteps };
